city-fan.org PPTP & MPPE RPM Repository


Building MPPE Kernel Modules

There is a new way of building and installing the MPPE modules using DKMS.

The first step is to install the DKMS RPM itself:
# rpm --install dkms-2.2.0.2-1.noarch.rpm

If you have the kernel-source RPM for your kernel (not needed for 2.6.x kernels, though for some distributions such as Fedora Core 4, the kernel-devel package will be needed)) and the appropriate C compiler, you should then install the kernel_ppp_mppe RPM:
# rpm --install kernel_ppp_mppe-1.0.2-3dkms.noarch.rpm
The kernel modules are automatically built and installed for your currently-running kernel when this RPM is installed. Moreover, the kernel modules will automatically be rebuilt if you reboot into a kernel that you have not previously built and installed the modules for.

Otherwise, you'll need a pre-built RPM for the kernel version and architecture you are using:
# rpm --install kernel_ppp_mppe-modules-2.6.5-1.358.dkms0.0.4.i686.rpm

To test that things are working properly, try loading the module:
# modprobe ppp-compress-18
# lsmod
(the lsmod output should include ppp_mppe)

If you've built the modules from source and would like to package the compiled modules as a pre-built RPM for installation on other machines with the same kernel version and architecture, use the spec file kernel_ppp_mppe-modules.spec (you'll need rpm-build installed too of course):
# rpmbuild -bb kernel_ppp_mppe-modules.spec

If you want to build a modules RPM for an installed kernel RPM that is not currently running, specify the full name and release of the kernel on the rpmbuild command line, e.g. as follows:
# rpmbuild -bb --define 'kernel 2.4.20-28.8smp' kernel_ppp_mppe-modules.spec
(to build for the 2.4.20-28.8smp kernel; remember that for 2.4.x kernels, the corresponding kernel-source RPM must also be installed)

Note: the old kernelmod and the kernel-mppe modules built using it have now moved to the OLD directory.


If you have any queries or problems with these RPMs, please raise a ticket on the bug tracker or contact the packager, Paul Howarth <paul@city-fan.org> directly.

[ICO]NameLast modifiedSizeDescription

[PARENTDIR]Parent Directory  -  
[   ]CITY-FAN.ORG-GPG-KEY2001-10-04 00:00 1.5K 
[DIR]OLD/2004-09-01 15:47 -  
[   ]dkms-2.2.0.3-1.noarch.rpm2011-12-08 09:08 106K 
[   ]dkms-2.2.0.3-1.src.rpm2011-12-08 09:08 130K 
[   ]kernel_ppp_mppe-1.0.2-3dkms.noarch.rpm2005-10-06 13:09 103K 
[   ]kernel_ppp_mppe-1.0.2-3dkms.src.rpm2005-10-06 13:09 98K 
[TXT]kernel_ppp_mppe-modules.spec2004-08-31 07:41 4.6K 
[DIR]pre-built/2005-02-24 01:15 -